clang 10.0.0git

Classes | Enumerations | Functions
IdentifierResolver.cpp File Reference
`#include "clang/Sema/IdentifierResolver.h"`
`#include "clang/AST/Decl.h"`
`#include "clang/AST/DeclBase.h"`
`#include "clang/AST/DeclarationName.h"`
`#include "clang/Basic/IdentifierTable.h"`
`#include "clang/Basic/LangOptions.h"`
`#include "clang/Lex/ExternalPreprocessorSource.h"`
`#include "clang/Lex/Preprocessor.h"`
`#include "clang/Sema/Scope.h"`
`#include "llvm/Support/ErrorHandling.h"`
`#include <cassert>`
`#include <cstdint>`
Include dependency graph for IdentifierResolver.cpp:

Go to the source code of this file.

## Classes
class | clang::IdentifierResolver::IdDeclInfoMap
| IdDeclInfoMap - Associates IdDeclInfos with declaration names. More...

## Enumerations
enum | DeclMatchKind

## Functions
static DeclMatchKind | compareDeclarations (NamedDecl *Existing, NamedDecl *New)
| Compare two declarations to see whether they are different or, if they are the same, whether the new declaration should replace the existing declaration. More...

## Enumeration Type Documentation

## ◆ DeclMatchKind

enum DeclMatchKind

Definition at line 251 of file IdentifierResolver.cpp.

## Function Documentation

## ◆ compareDeclarations()

static DeclMatchKind compareDeclarations | ( | NamedDecl * | Existing,
|  | NamedDecl * | New
| ) |  |
| static

Compare two declarations to see whether they are different or, if they are the same, whether the new declaration should replace the existing declaration.

Definition at line 262 of file IdentifierResolver.cpp.

References clang::Decl::getCanonicalDecl(), clang::Decl::getKind(), clang::NamedDecl::getMostRecentDecl(), clang::Decl::isFromASTFile(), and clang::Decl::redecls().